Chromium Code Reviews
Help | Chromium Project | Sign in
(34)

Issue 270213004: Implement Pepper PPB_VideoDecoder interface. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
10 months, 4 weeks ago by bbudge
Modified:
4 months ago
CC:
chromium-reviews, binji+watch_chromium.org, qsr+mojo_chromium.org, viettrungluu+watch_chromium.org, yusukes+watch_chromium.org, noelallen1, tzik, jam, yzshen+watch_chromium.org, abarth, Aaron Boodman, teravest+watch_chromium.org, darin-cc_chromium.org, raymes+watch_chromium.org, nfullagar1, piman+watch_chromium.org, darin (slow to review), ben+mojo_chromium.org, ihf+watch_chromium.org
Visibility:
Public.

Description

Implement Pepper PPB_VideoDecoder interface. Adds resource and host, unit test for the resource, and an example plugin. Implements only the hardware accelerated case. Software fallback will be in a follow-on CL. Adds two new PP_Error codes: PP_ERROR_UNREADABLE_INPUT PP_ERROR_RESOURCE_FAILED BUG=281689 R=dmichael@chromium.org, fischman@chromium.org, jar@chromium.org, piman@chromium.org, tsepez@chromium.org Committed: https://src.chromium.org/viewvc/chrome?view=rev&revision=273920

Patch Set 1 : #

Total comments: 59

Patch Set 2 : Rebase, update to PPAPI message map macros. #

Total comments: 43

Patch Set 3 : Address remaining comments, including Yuzhu's. #

Patch Set 4 : Fix compile (missing return in new fn). #

Total comments: 4

Patch Set 5 : Address Yuzhu's follow up comments. #

Total comments: 3

Patch Set 6 : Changed docs for PP_ERROR_PLATFORM_FAILED. #

Total comments: 17

Patch Set 7 : Address David's and Antoine's lesser concerns. #

Patch Set 8 : Make new error codes and docs a little clearer. #

Patch Set 9 : Bound the number of shared memory buffers. #

Patch Set 10 : Easier buffer passing, bounded # shm buffers, fix decode_id handling. #

Patch Set 11 : Rebase. #

Total comments: 39

Patch Set 12 : Address David's comments. Reduce latency when creating or resizing a shm buffer. #

Patch Set 13 : Fix constants in header. #

Patch Set 14 : Rebase. #

Total comments: 6

Patch Set 15 : Make shared memory creation synchronous. #

Total comments: 18

Patch Set 16 : Clean up example plugin cc usage. #

Patch Set 17 : Address Antoine's comments. #

Patch Set 18 : DCHECK that shm bufffers are free after Flush/Reset. #

Total comments: 45

Patch Set 19 : Address Ami's comments. #

Total comments: 12

Patch Set 20 : Fix uid wrapping, int/uint issues. #

Patch Set 21 : Fix shm problem in Win ppapi_unittests. #

Total comments: 1

Patch Set 22 : Resource generates uid's, passed in Decode msg to Host. #

Patch Set 23 : Disable some unit tests on Win 64 bit builds. #

Unified diffs Side-by-side diffs Delta from patch set Stats (+2503 lines, -8 lines) Patch
M chrome/browser/component_updater/ppapi_utils.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 1 chunk +1 line, -0 lines 0 comments Download
M content/content_renderer.gypi View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 1 chunk +2 lines, -0 lines 0 comments Download
M content/renderer/pepper/content_renderer_pepper_host_factory.cc View 1 2 chunks +4 lines, -0 lines 0 comments Download
A content/renderer/pepper/pepper_video_decoder_host.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 1 chunk +117 lines, -0 lines 0 comments Download
A content/renderer/pepper/pepper_video_decoder_host.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 1 chunk +375 lines, -0 lines 0 comments Download
M content/renderer/pepper/plugin_module.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 1 chunk +1 line, -0 lines 0 comments Download
M content/renderer/pepper/resource_creation_impl.h View 1 chunk +1 line, -0 lines 0 comments Download
M content/renderer/pepper/resource_creation_impl.cc View 1 chunk +5 lines, -1 line 0 comments Download
M mojo/examples/pepper_container_app/resource_creation_impl.h View 1 chunk +1 line, -0 lines 0 comments Download
M mojo/examples/pepper_container_app/resource_creation_impl.cc View 1 1 chunk +5 lines, -0 lines 0 comments Download
M ppapi/api/pp_errors.idl View 1 2 3 4 5 6 7 2 chunks +12 lines, -0 lines 0 comments Download
M ppapi/c/pp_errors.h View 1 2 3 4 5 6 7 2 chunks +12 lines, -1 line 0 comments Download
A ppapi/examples/video_decode/video_decode.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 1 chunk +609 lines, -0 lines 0 comments Download
A + ppapi/examples/video_decode/video_decode.html View 1 chunk +3 lines, -3 lines 0 comments Download
M ppapi/ppapi_proxy.gypi View 1 chunk +2 lines, -0 lines 0 comments Download
M ppapi/ppapi_shared.gypi View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 1 chunk +1 line, -0 lines 0 comments Download
M ppapi/ppapi_tests.gypi View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 2 chunks +2 lines, -2 lines 0 comments Download
M ppapi/proxy/interface_list.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 1 chunk +1 line, -0 lines 0 comments Download
M ppapi/proxy/ppapi_messages.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 4 chunks +44 lines, -0 lines 0 comments Download
M ppapi/proxy/ppb_graphics_3d_proxy.h View 1 2 chunks +2 lines, -1 line 0 comments Download
M ppapi/proxy/resource_creation_proxy.h View 1 chunk +1 line, -0 lines 0 comments Download
M ppapi/proxy/resource_creation_proxy.cc View 1 2 chunks +5 lines, -0 lines 0 comments Download
A ppapi/proxy/video_decoder_constants.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 1 chunk +28 lines, -0 lines 0 comments Download
A ppapi/proxy/video_decoder_resource.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 1 chunk +179 lines, -0 lines 0 comments Download
A ppapi/proxy/video_decoder_resource.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 1 chunk +506 lines, -0 lines 0 comments Download
A ppapi/proxy/video_decoder_resource_unittest.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 1 chunk +580 lines, -0 lines 0 comments Download
M ppapi/shared_impl/resource.h View 1 chunk +1 line, -0 lines 0 comments Download
M ppapi/thunk/interfaces_ppb_public_dev_channel.h View 1 chunk +1 line, -0 lines 0 comments Download
M ppapi/thunk/resource_creation_api.h View 1 chunk +1 line, -0 lines 0 comments Download
M tools/metrics/histograms/histograms.xml View 1 chunk +1 line, -0 lines 0 comments Download
Commit: CQ not working?

Messages

Total messages: 61 (1 generated)
bbudge
dmichael, yzshen for pepper proxy tsepez for ppapi_messages.h fischman for ppapi/example/video_decde, pepper_video_decoder_host.* and overall wisdom. ...
10 months, 3 weeks ago (2014-05-08 01:46:04 UTC) #1
piman (Very slow to review)
I think your CL is missing new files: idl and generated headers for the new ...
10 months, 3 weeks ago (2014-05-08 01:49:42 UTC) #2
bbudge
On 2014/05/08 01:49:42, piman wrote: > I think your CL is missing new files: idl ...
10 months, 3 weeks ago (2014-05-08 02:37:36 UTC) #3
piman (Very slow to review)
https://codereview.chromium.org/270213004/diff/80001/ppapi/proxy/video_decoder_resource.cc File ppapi/proxy/video_decoder_resource.cc (right): https://codereview.chromium.org/270213004/diff/80001/ppapi/proxy/video_decoder_resource.cc#newcode51 ppapi/proxy/video_decoder_resource.cc:51: shm_->Unmap(); nit: that's implicit with the destruction. https://codereview.chromium.org/270213004/diff/80001/ppapi/proxy/video_decoder_resource.cc#newcode251 ppapi/proxy/video_decoder_resource.cc:251: ...
10 months, 3 weeks ago (2014-05-08 04:26:03 UTC) #4
dmichael
Haven't looked at the example or the plugin side yet... https://codereview.chromium.org/270213004/diff/80001/content/renderer/pepper/pepper_video_decoder_host.cc File content/renderer/pepper/pepper_video_decoder_host.cc (right): https://codereview.chromium.org/270213004/diff/80001/content/renderer/pepper/pepper_video_decoder_host.cc#newcode108 ...
10 months, 3 weeks ago (2014-05-08 20:27:00 UTC) #5
Tom Sepez
Thanks, that certainly is a hefty block of code! https://codereview.chromium.org/270213004/diff/80001/content/renderer/pepper/pepper_video_decoder_host.cc File content/renderer/pepper/pepper_video_decoder_host.cc (right): https://codereview.chromium.org/270213004/diff/80001/content/renderer/pepper/pepper_video_decoder_host.cc#newcode83 content/renderer/pepper/pepper_video_decoder_host.cc:83: ...
10 months, 3 weeks ago (2014-05-08 20:35:06 UTC) #6
bbudge
+mpearson for tools/metrics/histograms https://codereview.chromium.org/270213004/diff/80001/content/renderer/pepper/pepper_video_decoder_host.cc File content/renderer/pepper/pepper_video_decoder_host.cc (right): https://codereview.chromium.org/270213004/diff/80001/content/renderer/pepper/pepper_video_decoder_host.cc#newcode83 content/renderer/pepper/pepper_video_decoder_host.cc:83: PPAPI_DISPATCH_HOST_RESOURCE_CALL(PpapiHostMsg_VideoDecoder_Initialize, On 2014/05/08 20:35:07, Tom Sepez ...
10 months, 3 weeks ago (2014-05-14 16:40:40 UTC) #7
bbudge
I addressed a bunch of comment from the original round of reviews, but there are ...
10 months, 3 weeks ago (2014-05-14 16:50:20 UTC) #8
yzshen1
Sorry for late reply, Bill. https://codereview.chromium.org/270213004/diff/190001/content/renderer/pepper/pepper_video_decoder_host.cc File content/renderer/pepper/pepper_video_decoder_host.cc (right): https://codereview.chromium.org/270213004/diff/190001/content/renderer/pepper/pepper_video_decoder_host.cc#newcode119 content/renderer/pepper/pepper_video_decoder_host.cc:119: return PP_ERROR_FAILED; Maybe we ...
10 months, 3 weeks ago (2014-05-14 18:08:22 UTC) #9
bbudge
I think I addressed everything. Big changes: 1) Create another Graphics3D resource rather than use ...
10 months, 3 weeks ago (2014-05-14 19:35:03 UTC) #10
bbudge
+jar for histograms.xml
10 months, 3 weeks ago (2014-05-14 20:01:52 UTC) #11
bbudge
+jar for histograms.xml This time do it manually.
10 months, 3 weeks ago (2014-05-14 20:57:21 UTC) #12
yzshen1
https://codereview.chromium.org/270213004/diff/190001/content/renderer/pepper/pepper_video_decoder_host.cc File content/renderer/pepper/pepper_video_decoder_host.cc (right): https://codereview.chromium.org/270213004/diff/190001/content/renderer/pepper/pepper_video_decoder_host.cc#newcode119 content/renderer/pepper/pepper_video_decoder_host.cc:119: return PP_ERROR_FAILED; Okay. I see. On 2014/05/14 19:35:04, bbudge ...
10 months, 3 weeks ago (2014-05-14 22:58:15 UTC) #13
Tom Sepez
Messages LGTM.
10 months, 2 weeks ago (2014-05-14 23:55:24 UTC) #14
bbudge
Fixed up VideoDecoderResource management of its Graphics3D resource, using a ScopedPPResource instead of raw scoped_refptr. ...
10 months, 2 weeks ago (2014-05-15 00:24:54 UTC) #15
yzshen1
https://codereview.chromium.org/270213004/diff/250001/ppapi/api/pp_errors.idl File ppapi/api/pp_errors.idl (right): https://codereview.chromium.org/270213004/diff/250001/ppapi/api/pp_errors.idl#newcode94 ppapi/api/pp_errors.idl:94: * plugin's request was valid but the browser could ...
10 months, 2 weeks ago (2014-05-15 00:55:29 UTC) #16
bbudge
https://codereview.chromium.org/270213004/diff/250001/ppapi/api/pp_errors.idl File ppapi/api/pp_errors.idl (right): https://codereview.chromium.org/270213004/diff/250001/ppapi/api/pp_errors.idl#newcode94 ppapi/api/pp_errors.idl:94: * plugin's request was valid but the browser could ...
10 months, 2 weeks ago (2014-05-15 01:19:18 UTC) #17
piman (Very slow to review)
https://codereview.chromium.org/270213004/diff/80001/ppapi/proxy/video_decoder_resource.cc File ppapi/proxy/video_decoder_resource.cc (right): https://codereview.chromium.org/270213004/diff/80001/ppapi/proxy/video_decoder_resource.cc#newcode414 ppapi/proxy/video_decoder_resource.cc:414: RENDERER, On 2014/05/14 19:35:04, bbudge wrote: > On 2014/05/08 ...
10 months, 2 weeks ago (2014-05-15 04:02:52 UTC) #18
bbudge
https://codereview.chromium.org/270213004/diff/270001/ppapi/proxy/video_decoder_resource.cc File ppapi/proxy/video_decoder_resource.cc (right): https://codereview.chromium.org/270213004/diff/270001/ppapi/proxy/video_decoder_resource.cc#newcode43 ppapi/proxy/video_decoder_resource.cc:43: : shm(in_shm), size(in_size), addr(NULL), shm_id(in_shm_id) { On 2014/05/15 04:02:53, ...
10 months, 2 weeks ago (2014-05-15 16:31:56 UTC) #19
yzshen1
https://codereview.chromium.org/270213004/diff/250001/ppapi/api/pp_errors.idl File ppapi/api/pp_errors.idl (right): https://codereview.chromium.org/270213004/diff/250001/ppapi/api/pp_errors.idl#newcode94 ppapi/api/pp_errors.idl:94: * plugin's request was valid but the browser could ...
10 months, 2 weeks ago (2014-05-15 17:07:21 UTC) #20
dmichael
https://codereview.chromium.org/270213004/diff/190001/content/renderer/pepper/pepper_video_decoder_host.cc File content/renderer/pepper/pepper_video_decoder_host.cc (right): https://codereview.chromium.org/270213004/diff/190001/content/renderer/pepper/pepper_video_decoder_host.cc#newcode216 content/renderer/pepper/pepper_video_decoder_host.cc:216: pending_decodes_.insert(std::make_pair( This confused me at first as well. It ...
10 months, 2 weeks ago (2014-05-15 21:18:21 UTC) #21
bbudge
Addressing some of the minor issues here. https://codereview.chromium.org/270213004/diff/270001/content/renderer/pepper/pepper_video_decoder_host.cc File content/renderer/pepper/pepper_video_decoder_host.cc (right): https://codereview.chromium.org/270213004/diff/270001/content/renderer/pepper/pepper_video_decoder_host.cc#newcode166 content/renderer/pepper/pepper_video_decoder_host.cc:166: shm_buffers_.push_back(shm.release()); On ...
10 months, 2 weeks ago (2014-05-15 22:27:43 UTC) #22
Ami GONE FROM CHROMIUM
On Thu, May 15, 2014 at 3:27 PM, <bbudge@chromium.org> wrote: > This technique is actually ...
10 months, 2 weeks ago (2014-05-15 22:33:56 UTC) #23
bbudge
tsepez: I added a parameter to the GetShmBuffer message) dmichael: Shared memory buffers are now ...
10 months, 2 weeks ago (2014-05-16 18:16:05 UTC) #24
Tom Sepez
On 2014/05/16 18:16:05, bbudge wrote: > tsepez: I added a parameter to the GetShmBuffer message) ...
10 months, 2 weeks ago (2014-05-16 19:05:59 UTC) #25
bbudge
On 2014/05/16 19:05:59, Tom Sepez wrote: > On 2014/05/16 18:16:05, bbudge wrote: > > tsepez: ...
10 months, 2 weeks ago (2014-05-16 19:53:57 UTC) #26
bbudge
tsepez: I sanity check shm_id's as they are passed between plugin and renderer. piman: The ...
10 months, 2 weeks ago (2014-05-20 01:12:54 UTC) #27
dmichael
https://chromiumcodereview.appspot.com/270213004/diff/450001/content/renderer/pepper/pepper_video_decoder_host.cc File content/renderer/pepper/pepper_video_decoder_host.cc (right): https://chromiumcodereview.appspot.com/270213004/diff/450001/content/renderer/pepper/pepper_video_decoder_host.cc#newcode59 content/renderer/pepper/pepper_video_decoder_host.cc:59: // No default case, to catch unhandled PP_VideoProfile values. ...
10 months, 2 weeks ago (2014-05-20 22:40:38 UTC) #28
dmichael
10 months, 2 weeks ago (2014-05-20 22:40:43 UTC) #29
bbudge
piman: are you going to have another look? tsepez: yet another change to messages. We ...
10 months, 1 week ago (2014-05-22 18:34:54 UTC) #30
yzshen1
Just in case you are waiting for my response: The CL looks good to me ...
10 months, 1 week ago (2014-05-22 19:22:18 UTC) #31
piman (Very slow to review)
https://codereview.chromium.org/270213004/diff/510001/content/renderer/pepper/pepper_video_decoder_host.cc File content/renderer/pepper/pepper_video_decoder_host.cc (right): https://codereview.chromium.org/270213004/diff/510001/content/renderer/pepper/pepper_video_decoder_host.cc#newcode138 content/renderer/pepper/pepper_video_decoder_host.cc:138: if (channel) { either DCHECK or if, but not ...
10 months, 1 week ago (2014-05-22 20:43:18 UTC) #32
bbudge
https://codereview.chromium.org/270213004/diff/510001/content/renderer/pepper/pepper_video_decoder_host.cc File content/renderer/pepper/pepper_video_decoder_host.cc (right): https://codereview.chromium.org/270213004/diff/510001/content/renderer/pepper/pepper_video_decoder_host.cc#newcode138 content/renderer/pepper/pepper_video_decoder_host.cc:138: if (channel) { On 2014/05/22 20:43:19, piman wrote: > ...
10 months, 1 week ago (2014-05-23 12:24:35 UTC) #33
piman (Very slow to review)
https://codereview.chromium.org/270213004/diff/550001/content/renderer/pepper/pepper_video_decoder_host.cc File content/renderer/pepper/pepper_video_decoder_host.cc (right): https://codereview.chromium.org/270213004/diff/550001/content/renderer/pepper/pepper_video_decoder_host.cc#newcode158 content/renderer/pepper/pepper_video_decoder_host.cc:158: return PP_ERROR_FAILED; Would it be useful to add some ...
10 months, 1 week ago (2014-05-23 20:07:25 UTC) #34
bbudge
https://codereview.chromium.org/270213004/diff/550001/content/renderer/pepper/pepper_video_decoder_host.cc File content/renderer/pepper/pepper_video_decoder_host.cc (right): https://codereview.chromium.org/270213004/diff/550001/content/renderer/pepper/pepper_video_decoder_host.cc#newcode158 content/renderer/pepper/pepper_video_decoder_host.cc:158: return PP_ERROR_FAILED; On 2014/05/23 20:07:27, piman wrote: > Would ...
10 months, 1 week ago (2014-05-23 20:57:04 UTC) #35
piman (Very slow to review)
https://codereview.chromium.org/270213004/diff/550001/content/renderer/pepper/pepper_video_decoder_host.cc File content/renderer/pepper/pepper_video_decoder_host.cc (right): https://codereview.chromium.org/270213004/diff/550001/content/renderer/pepper/pepper_video_decoder_host.cc#newcode237 content/renderer/pepper/pepper_video_decoder_host.cc:237: texture_ids[i], // Use the texture_id to identify the buffer. ...
10 months, 1 week ago (2014-05-23 21:19:23 UTC) #36
bbudge
https://codereview.chromium.org/270213004/diff/550001/content/renderer/pepper/pepper_video_decoder_host.cc File content/renderer/pepper/pepper_video_decoder_host.cc (right): https://codereview.chromium.org/270213004/diff/550001/content/renderer/pepper/pepper_video_decoder_host.cc#newcode237 content/renderer/pepper/pepper_video_decoder_host.cc:237: texture_ids[i], // Use the texture_id to identify the buffer. ...
10 months, 1 week ago (2014-05-23 22:18:43 UTC) #37
dmichael
I like the sync way, that seems simpler. I still haven't fully understood the need ...
10 months, 1 week ago (2014-05-23 22:44:46 UTC) #38
bbudge
On 2014/05/23 22:44:46, dmichael wrote: > I like the sync way, that seems simpler. I ...
10 months, 1 week ago (2014-05-23 22:53:34 UTC) #39
piman (Very slow to review)
lgtm
10 months, 1 week ago (2014-05-23 22:57:50 UTC) #40
dmichael
lgtm
10 months, 1 week ago (2014-05-27 21:14:55 UTC) #41
bbudge
Ami, I think this is ready for a look. I'm specifically most interested in the ...
10 months, 1 week ago (2014-05-27 21:54:51 UTC) #42
Ami GONE FROM CHROMIUM
Looks great. Just a bunch of minor comments below. https://codereview.chromium.org/270213004/diff/610001/content/renderer/pepper/pepper_video_decoder_host.cc File content/renderer/pepper/pepper_video_decoder_host.cc (right): https://codereview.chromium.org/270213004/diff/610001/content/renderer/pepper/pepper_video_decoder_host.cc#newcode347 content/renderer/pepper/pepper_video_decoder_host.cc:347: ...
10 months, 1 week ago (2014-05-28 20:50:55 UTC) #43
dmichael
https://codereview.chromium.org/270213004/diff/610001/content/renderer/pepper/pepper_video_decoder_host.h File content/renderer/pepper/pepper_video_decoder_host.h (right): https://codereview.chromium.org/270213004/diff/610001/content/renderer/pepper/pepper_video_decoder_host.h#newcode55 content/renderer/pepper/pepper_video_decoder_host.h:55: ppapi::host::HostMessageContext* context) OVERRIDE; On 2014/05/28 20:50:56, Ami Fischman wrote: ...
10 months, 1 week ago (2014-05-28 21:00:01 UTC) #44
Ami GONE FROM CHROMIUM
On Wed, May 28, 2014 at 2:00 PM, <dmichael@chromium.org> wrote: > > https://codereview.chromium.org/270213004/diff/610001/ > content/renderer/pepper/pepper_video_decoder_host.h ...
10 months, 1 week ago (2014-05-28 21:30:42 UTC) #45
bbudge
https://codereview.chromium.org/270213004/diff/610001/content/renderer/pepper/pepper_video_decoder_host.cc File content/renderer/pepper/pepper_video_decoder_host.cc (right): https://codereview.chromium.org/270213004/diff/610001/content/renderer/pepper/pepper_video_decoder_host.cc#newcode347 content/renderer/pepper/pepper_video_decoder_host.cc:347: default: On 2014/05/28 20:50:56, Ami Fischman wrote: > any ...
10 months ago (2014-05-29 00:03:33 UTC) #46
Ami GONE FROM CHROMIUM
https://codereview.chromium.org/270213004/diff/630001/content/renderer/pepper/pepper_video_decoder_host.cc File content/renderer/pepper/pepper_video_decoder_host.cc (right): https://codereview.chromium.org/270213004/diff/630001/content/renderer/pepper/pepper_video_decoder_host.cc#newcode225 content/renderer/pepper/pepper_video_decoder_host.cc:225: // Wrap to 0 if num_decodes_ overflowed. signed integer ...
10 months ago (2014-05-29 02:31:35 UTC) #47
bbudge
https://codereview.chromium.org/270213004/diff/630001/content/renderer/pepper/pepper_video_decoder_host.cc File content/renderer/pepper/pepper_video_decoder_host.cc (right): https://codereview.chromium.org/270213004/diff/630001/content/renderer/pepper/pepper_video_decoder_host.cc#newcode225 content/renderer/pepper/pepper_video_decoder_host.cc:225: // Wrap to 0 if num_decodes_ overflowed. On 2014/05/29 ...
10 months ago (2014-05-29 12:07:36 UTC) #48
Ami GONE FROM CHROMIUM
LGTM https://codereview.chromium.org/270213004/diff/670001/ppapi/proxy/video_decoder_resource.h File ppapi/proxy/video_decoder_resource.h (right): https://codereview.chromium.org/270213004/diff/670001/ppapi/proxy/video_decoder_resource.h#newcode160 ppapi/proxy/video_decoder_resource.h:160: // The resource and host count decodes in ...
10 months ago (2014-05-29 16:50:39 UTC) #49
bbudge
On 2014/05/29 16:50:39, Ami Fischman wrote: > LGTM > > https://codereview.chromium.org/270213004/diff/670001/ppapi/proxy/video_decoder_resource.h > File ppapi/proxy/video_decoder_resource.h (right): ...
10 months ago (2014-05-29 17:40:21 UTC) #50
jar (doing other things)
histograms.xml LGTM
10 months ago (2014-05-29 21:02:55 UTC) #51
bbudge
The CQ bit was checked by bbudge@chromium.org
10 months ago (2014-05-30 19:44:50 UTC) #52
I haz the power (commit-bot)
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/bbudge@chromium.org/270213004/700001
10 months ago (2014-05-30 19:48:33 UTC) #53
bbudge
The CQ bit was unchecked by bbudge@chromium.org
10 months ago (2014-05-30 22:45:28 UTC) #54
bbudge
Committed patchset #23 manually as r273920 (presubmit successful).
10 months ago (2014-05-30 22:46:26 UTC) #55
bbudge
https://codereview.chromium.org/270213004/diff/630001/ppapi/examples/video_decode/video_decode.cc File ppapi/examples/video_decode/video_decode.cc (right): https://codereview.chromium.org/270213004/diff/630001/ppapi/examples/video_decode/video_decode.cc#newcode320 ppapi/examples/video_decode/video_decode.cc:320: RequestInputEvents(PP_INPUTEVENT_CLASS_MOUSE); On 2014/05/29 02:31:36, Ami Fischman wrote: > On ...
10 months ago (2014-06-03 18:41:23 UTC) #56
Ami GONE FROM CHROMIUM
On Tue, Jun 3, 2014 at 11:41 AM, <bbudge@chromium.org> wrote: > Looking at the test ...
10 months ago (2014-06-03 21:15:08 UTC) #57
dielui94
On 2014/06/03 21:15:08, Ami GONE FROM CHROMIUM wrote: > On Tue, Jun 3, 2014 at ...
4 months ago (2014-11-26 12:07:01 UTC) #58
dielui94
4 months ago (2014-11-26 12:13:17 UTC) #60
dielui94
4 months ago (2014-11-27 03:50:16 UTC) #61
Message was sent while issue was closed.
Am 26.11.2014 13:13 schrieb <dielui94@gmail.com>:
>
> https://codereview.chromium.org/270213004/
 https://codereview.chromium.org/270213004/

To unsubscribe from this group and stop receiving emails from it, send an email
to chromium-reviews+unsubscribe@chromium.org.
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld cf4c24d